Summary: Advanced Power Management (APM) BIOS utilities
Name: apmd
Version: 2.4
Release: 4
Source: ftp://ftp.cs.unc.edu/pub/users/faith/linux/apmd-2.4.tar.gz
Patch1: http://www.cut.de/bkr/linux/apmd/apmd.c.diff
Patch2: apm.c-diff
Copyright: GPL
Group: Utilities/System
Requires: chkconfig >= 0.9
Packager: Jan "Yenya" Kasprzak <kas@fi.muni.cz>

%description
This is a Advanced Power Management daemon and utilities.
It can watch your notebook's battery and warn all users when the battery
is low.

I have added an unofficial patch for shutting down the PCMCIA sockets
before a suspend.

%changelog
* Mon Dec  8 1997 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
	Compiled on RH5.0 against libc6.
	Renamed /etc/rc.d/init.d/apmd.init to /etc/rc.d/init.d/apmd
	Make /etc/rc.d/init.d/apmd to be chkconfig-compliant.
* Thu Oct  2 1997 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
	Fixed buggy /etc/sysconfig/apmd file generation in the spec file.
	Added a patch for apm.c's option handling.
	Both fixes were submitted by Richard D. McRobers <rdm@csn.net>

%prep
%setup
%patch1
%patch2 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -I/usr/X11R6/include" LDFLAGS=-s

%install
%doc ANNOUNCE ChangeLog README LSM
make install
cat <<'EOF' >/etc/rc.d/init.d/apmd
#!/bin/sh
#
# chkconfig: 2345 05 92
# description: apmd is used for monitoring batery status and logging it via \
#	syslog(8). It can also be used for shutting down the machine when \
#	the battery is low.
#

CONFIG=/etc/sysconfig/apmd
# Source function library.
. /etc/rc.d/init.d/functions

# See how we were called.
case "$1" in
  start)
	echo -n "Starting up APM daemon: "
	test -r "$CONFIG" && . "$CONFIG"
	daemon /usr/sbin/apmd $APMD_OPTIONS
	touch /var/lock/subsys/apmd
	echo
	;;
  stop)
	echo -n "Shutting down APM daemon: "
	killproc apmd
	rm -f /var/lock/subsys/apmd
	echo
	;;
  *)
	echo "Usage: apmd.init {start|stop}"
	exit 1
esac

exit 0
EOF
chmod 755 /etc/rc.d/init.d/apmd

cat <<'EOF' >/etc/sysconfig/apmd
APMD_OPTIONS="-p 10 -w 5 -W"
EOF
chmod 644 /etc/sysconfig/apmd

%preun
[ "$1" -ne 0 ] && exit 0
test -r /etc/rc.d/init.d/apmd && /etc/rc.d/init.d/apmd stop
/sbin/chkconfig --del apmd

%post
/sbin/chkconfig --add apmd
if [ "$1" -gt 1 ]
then
	/etc/rc.d/init.d/apmd start
fi

%files
/usr/X11R6/bin/xapm
/usr/X11R6/man/man1/xapm.1x
/usr/bin/apm
/usr/bin/tailf
/usr/include/apm.h
/usr/lib/libapm.a
/usr/man/man1/apm.1
/usr/man/man1/tailf.1
/usr/man/man8/apmd.8
/usr/sbin/apmd
%config /etc/rc.d/init.d/apmd
%config /etc/sysconfig/apmd
